# Go test App

Zum Kompilieren folgende Go-Abhängigkeiten installieren:
 - `go get github.com/gorilla/mux`
 - `go get github.com/boombuler/barcode`
 - `go get github.com/boombuler/barcode/qr`
 - `go get github.com/disintegration/imaging`
 
Kompilieren mit: `go build main.go`

**API-Endpunkte:** 

 * `/` - Ruft den Statischen Content im `web`-Verzeichnis auf 
   * z.B.: http://127.0.0.1:8000/index.html
 * `/folder/{foldername:.*}` - Listet die Dateien im verzeichnis `foldername` auf
   * z.B.: http://127.0.0.1:8000/folder/2019-11-15
 * `/qr/{qrlink:.*}` - Erstellt einen QR-Code mit dem übergebenen Link `qrlink`
    * z.B.: http://127.0.0.1:8000/qr/%3Fdir=2019-11-15
 * `/thumb/{imgname:.*}` - Erstellt ein Thumnail eines des Bildes `imgname` und zeigt dieses dann an
    * z.B.: http://127.0.0.1:8000/thumb/2019-11-15/IMG_4186.JPG
 * `/imgdl/{imgname:.*}` - Nimmt das Bild `imgname` und bietet es zum Download an
    * z.B.: http://127.0.0.1:8000/imgdl/2019-11-15/IMG_4186.JPG
 * `/img/`- Zeigt ein Bild aus dem Statischen Bilder-verzeichnis an
    * z.B.: http://127.0.0.1:8000/img/2019-11-15/IMG_4186.JPG

 
**Konfiguration**  
Die Konfiguration erfolgt in der Datei `config.json`, z.B:
```
{
    "Host":"http://127.0.0.1",
    "Port":"8000",
    "IMGPath":"C:\\Fotos"
}
```

**Anwendung**  
Wenn man nur die index.html aufruft (http://127.0.0.1:8000), dan bekommt man eine Auflistung der Ordner angezeigt.  
Übergibt man den Parameter `?dir` (http://127.0.0.1:8000/?dir=2019-11-15), dann bekommt man nur den Inhalt dieses Ordners angezeigt.  
